local AppName = ...
local AL = LibStub("AceLocale-3.0")
local L = AL:NewLocale(AppName, "enUS", true)

L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fControl + Left Click|r to lock the frame"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55fDrag|r to move the frame"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55fLeft Click|r to lock/unlock frame"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55fRight Click|r to open the configuration window"

-----------------------------------------------------------------------------

L = AL:NewLocale(AppName, "deDE")
if L then

-- opt
L["Color"] = "Farbe"
L["Font"] = "Schriftart"
L["Font outline"] = "Schriftstil"
L["Font size"] = "Schriftgröße"
L["High"] = "Hoch"
L["Lock/Unlock display frame"] = "Anzeige sperren/entsperren"
L["Locked"] = "Gesperrt"
L["Low"] = "Niedrig"
L["Medium"] = "Mittel"
L["None"] = "Keine"
L["Normal"] = "Normal"
L["Thick"] = "Fett"

end

L = AL:NewLocale(AppName, "esES")
if L then
L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fControl + Click Izquierdo|r para bloquear el marco"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55fArrastrar|r para mover el marco"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55fClick Izquierdo|r para bloquear/desbloquear el marco"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55fClick Derecho|r para abrir la ventana de configuración"

-- opt
L["Background Color"] = "Color de Fondo"
L["Background Options"] = "Opciones del Fondo"
L["Background Texture"] = "Textura del Fondo"
L["Background Tile Size"] = "Tamaño del Mosaico de Fondo"
L["Bar Color"] = "Color de la Barra"
L["Enabled"] = "Habilitado"
L["Font"] = "Fuente"
L["Font outline"] = "Contorno de la fuente"
L["Font size"] = "Tamaño dela fuente"
L["Frame's background color"] = "Color de fondo del marco"
L["Frame's border color"] = "Color del borde del marco"
L["Height"] = "Altura"
L["High"] = "Alto"
L["Locked"] = "Bloqueado"
L["Low"] = "Bajo"
L["Medium"] = "Medio"
L["None"] = "Nada"
L["Normal"] = "Normal"

end

L = AL:NewLocale(AppName, "esMX")
if L then

-- opt

end

L = AL:NewLocale(AppName, "frFR")
if L then

-- opt
L["Color"] = "Couleur"
L["Font"] = "Police"
L["Font outline"] = "Epaisseur de police"
L["Font size"] = "Taille de police"
L["Frame strata"] = "Profondeur de la fenêtre"
L["High"] = "Au dessus"
L["Lock/Unlock display frame"] = "(Dé)Vérouille la fenêtre"
L["Locked"] = "Vérouillé"
L["Low"] = "En dessous"
L["Medium"] = "Normal"
L["None"] = "Aucun"
L["Normal"] = "Normal"
L["Strata"] = "Profondeur"
L["Thick"] = "Epais"

end

L = AL:NewLocale(AppName, "koKR")
if L then
L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fControl + 왼쪽 클릭|r 프레임 잠금"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55f드래그|r 창 이동"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55f왼쪽 클릭|r 프레임 잠금/이동"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55f우 클릭|r 설정 창 열기"

-- opt
L["Background Color"] = "배경 색상"
L["Background Options"] = "배경 옵션"
L["Background Texture"] = "배경 무늬"
L["Background Tile Size"] = "배경 타일 크기"
L["Bar Color"] = "바 색상"
L["Bar Mode Options"] = "바 방식 옵션"
L["Bar Texture"] = "바 무늬"
L["Border Color"] = "테두리 색상"
L["Border Texture"] = "테두리 무늬"
L["Border Thickness"] = "테두리 두께"
L["Bring up GUI configure dialog"] = "GUI 설정 창을 불려옵니다."
L["Color"] = "색상"
L["Configure"] = "설정"
L["Enabled"] = "사용"
L["Font"] = "글꼴"
L["Font outline"] = "글꼴 외곽선"
L["Font size"] = "글꼴 크기"
L["Frame strata"] = "창 우선순위"
L["Frame's background color"] = "창의 배경 색상"
L["Frame's border color"] = "창의 테두리 색상"
L["Height"] = "높이"
L["High"] = "높음"
L["Lock/Unlock display frame"] = "화면의 창을 잠그거나 이동시킵니다."
L["Locked"] = "잠금"
L["Low"] = "낮음"
L["Medium"] = "중간"
L["None"] = "없음"
L["Normal"] = "보통"
L["Strata"] = "우선순위"
L["Texture to use for the frame's background"] = "창의 배경에 사용할 무늬"
L["Texture to use for the frame's border"] = "창의 테두리에 사용할 무늬"
L["The size used to tile the background texture"] = "배경 타일 무늬에 사용할 크기"
L["The thickness of the border"] = "테두리 두께"
L["Thick"] = "굵게"
L["Tile Background"] = "타일 배경"
L["Tile the background texture"] = "타일 배경 무늬"
L["Width"] = "너비"

end

L = AL:NewLocale(AppName, "ruRU")
if L then
L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fControl + Левый клик|r - закрепить область"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55f[Двигайте]|r для перемещения окна"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55fЛевый клик|r - закрепить/освободить область"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55f[Правый клик]|r открывает окно настроек"

-- opt
L["Background Color"] = "Цвет фона"
L["Background Options"] = "Настройки фона"
L["Background Texture"] = "Текстура фона"
L["Background Tile Size"] = "Размер мозаики фона"
L["Bar Color"] = "Цвет полосы"
L["Bar Mode Options"] = "Опции режима полосы"
L["Bar Texture"] = "Текстура полосы"
L["Border Color"] = "Цвет краев"
L["Border Texture"] = "Текстура краев"
L["Border Thickness"] = "Толщина краев"
L["Bring up GUI configure dialog"] = "Открывает интерфейс настроек"
L["Color"] = "Цвет"
L["Configure"] = "Настройка"
L["Disable Decimals"] = "Откл. десятичное число"
L["Do not show sub-second precision time"] = "Не показывать десятичные числа"
L["Enabled"] = "Включен"
L["Font"] = "Црифт"
L["Font outline"] = "Контур шрифта"
L["Font size"] = "Размер шрифта"
L["Frame strata"] = "Слои фрейма"
L["Frame's background color"] = "Цвет фона фрейма"
L["Frame's border color"] = "Цвет края фрейма"
L["Height"] = "Высота"
L["High"] = "Высокий"
L["Lock/Unlock display frame"] = "Фиксировать/освободить фреймы на экране"
L["Locked"] = "Фиксировать"
L["Low"] = "Низкий"
L["Medium"] = "Средний"
L["None"] = "Нету"
L["Normal"] = "Обычный"
L["Play a sound if remaining time gets under Warning Threshold"] = "Проиграть звук, если остаток времени достиг порог тревоги."
L["Strata"] = "Слои"
L["Texture to use for the frame's background"] = "Текстура для использования в качестве фона фрейма"
L["Texture to use for the frame's border"] = "Текстура для использования в качестве края фрейма"
L["The size used to tile the background texture"] = "Размер мазайки используемой в фоновой текстуре"
L["The thickness of the border"] = "Толщина края"
L["Thick"] = "Толстый"
L["Tile Background"] = "Фон - мозаика"
L["Tile the background texture"] = "Мозаичное изображения фоновой текстуры"
L["Warning Color"] = "Цвет тревоги"
L["Warning Sound"] = "Звук тревоги"
L["Warning Sound Name"] = "Название звука"
L["Warning Threshold"] = "Порог тревоги"
L["Width"] = "Ширина"

end

L = AL:NewLocale(AppName, "zhCN")
if L then
L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fCtrl + 左键点击|r 锁定框体"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55f拖拽|r 移动位置"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55f左键点击|r 锁定/解锁框体"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55f右击|r打开设置窗口"

-- opt
L["Background Color"] = "背景颜色"
L["Background Options"] = "背景选项"
L["Background Texture"] = "背景材质"
L["Background Tile Size"] = "背景网格尺寸"
L["Bar Color"] = "计时条颜色"
L["Bar Mode Options"] = "计时条模式选项"
L["Bar Texture"] = "计时条材质"
L["Border Color"] = "边框颜色"
L["Border Texture"] = "边框材质"
L["Border Thickness"] = "边框厚度"
L["Bring up GUI configure dialog"] = "打开设置窗口"
L["Color"] = "颜色"
L["Configure"] = "设置"
L["Disable Decimals"] = "禁用小数"
L["Do not show sub-second precision time"] = "不显示低于秒的精确时间"
L["Enabled"] = "开启"
L["Font"] = "字体"
L["Font outline"] = "字体描边"
L["Font size"] = "字号"
L["Frame strata"] = "框架显示层面"
L["Frame's background color"] = "框架背景颜色"
L["Frame's border color"] = "框架边框颜色"
L["Height"] = "高度"
L["High"] = "最高层"
L["Lock/Unlock display frame"] = "锁定或解锁显示框"
L["Locked"] = "锁定"
L["Low"] = "最低层"
L["Medium"] = "中间层"
L["None"] = "无"
L["Normal"] = "正常"
L["Play a sound if remaining time gets under Warning Threshold"] = "剩余时间低于警报阀值时播放一个音效"
L["Strata"] = "层级"
L["Texture to use for the frame's background"] = "框架背景的材质"
L["Texture to use for the frame's border"] = "框架边框的材质"
L["The size used to tile the background texture"] = "网格背景尺寸"
L["The thickness of the border"] = "设置边框厚度"
L["Thick"] = "加粗"
L["Tile Background"] = "网格背景"
L["Tile the background texture"] = "网格背景材质"
L["Warning Color"] = "警报颜色"
L["Warning Sound"] = "警报音效"
L["Warning Sound Name"] = "警报音效名字"
L["Warning Threshold"] = "警报阀值"
L["Width"] = "宽度"

end

L = AL:NewLocale(AppName, "zhTW")
if L then
L["|cffeda55fControl + Left Click|r to lock the frame"] = "|cffeda55fCtrl + 左鍵點擊|r 鎖定框體"
L["|cffeda55fDrag|r to move the frame"] = "|cffeda55f拖拽|r 移動位置"
L["|cffeda55fLeft Click|r to lock/unlock frame"] = "|cffeda55f左鍵點擊|r 鎖定/解鎖框體"
L["|cffeda55fRight Click|r to open the configuration window"] = "|cffeda55f右擊|r打開設置視窗"

-- opt
L["Background Color"] = "背景顏色"
L["Background Options"] = "背景選項"
L["Background Texture"] = "背景材質"
L["Background Tile Size"] = "背景網格尺寸"
L["Bar Color"] = "計時條顏色"
L["Bar Mode Options"] = "計時條模式選項"
L["Bar Texture"] = "計時條材質"
L["Border Color"] = "邊框顏色"
L["Border Texture"] = "邊框材質"
L["Border Thickness"] = "邊框厚度"
L["Bring up GUI configure dialog"] = "打開設置視窗"
L["Color"] = "顏色"
L["Configure"] = "設置"
L["Disable Decimals"] = "禁用小數"
L["Do not show sub-second precision time"] = "不顯示低於秒的精確時間"
L["Enabled"] = "開啟"
L["Font"] = "字體"
L["Font outline"] = "字體描邊"
L["Font size"] = "字型大小"
L["Frame strata"] = "框架顯示層面"
L["Frame's background color"] = "框架背景顏色"
L["Frame's border color"] = "框架邊框顏色"
L["Height"] = "高度"
L["High"] = "最高層"
L["Lock/Unlock display frame"] = "鎖定或解鎖顯示框"
L["Locked"] = "鎖定"
L["Low"] = "最低層"
L["Medium"] = "中間層"
L["None"] = "無"
L["Normal"] = "正常"
L["Play a sound if remaining time gets under Warning Threshold"] = "剩餘時間低於警報閥值時播放一個音效"
L["Strata"] = "層級"
L["Texture to use for the frame's background"] = "框架背景的材質"
L["Texture to use for the frame's border"] = "框架邊框的材質"
L["The size used to tile the background texture"] = "網格背景尺寸"
L["The thickness of the border"] = "設置邊框厚度"
L["Thick"] = "加粗"
L["Tile Background"] = "網格背景"
L["Tile the background texture"] = "網格背景材質"
L["Warning Color"] = "警報顏色"
L["Warning Sound"] = "警報音效"
L["Warning Sound Name"] = "警報音效名字"
L["Warning Threshold"] = "警報閥值"
L["Width"] = "寬度"

end

